C
C------------------------------------------------------
C
C     Problem:    APHIDEX
C
C     Date:       20.11.2005
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      a, b, c, N, Y, t
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION N_t
      N_t = a*N - b*N*Y**2
C
*     FUNCTION Y_t
      Y_t = N
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION N_0
      N_0 = c
C
*     FUNCTION Y_0
      Y_0 = c
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION N_fit
      N_fit = N
C
*     FUNCTION Y_fit
      Y_fit = Y
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION g1
C      g1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
