C
C------------------------------------------------------
C
C     Problem:    CONC4A
C
C     Date:       18.05.2001
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      k1, k2, k3, k4, k5, k6, k7, X1, X2, X3, t
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION X1_t
      mCAT= 0.731395532432238
      CA0 = 0.0688955918841266
      CB0 = 0.238679593096996
      CC0 = 0
      CD0 = 0
      CA = CA0 - 2*X1
      CB = CB0 - X1
      CC = CC0 + X1
      CD = CD0 + X1
      X1_t = mCAT*k1*CA**2*CB*(1 - k2*CC*CD/(CA**2*CB))
     /      /(1 + k3*CA + k4*CB + k5*CC + k6*CD + k7*CA*CB)**2
C
*     FUNCTION X2_t
      mCAT= 0.734102316727825
      CA0 = 0.147143132106199
      CB0 = 0.241990862231253
      CC0 = 0
      CD0 = 0
      CA = CA0 - 2*X2
      CB = CB0 - X2
      CC = CC0 + X2
      CD = CD0 + X2
      X2_t = mCAT*k1*CA**2*CB*(1 - k2*CC*CD/(CA**2*CB))
     /      /(1 + k3*CA + k4*CB + k5*CC + k6*CD + k7*CA*CB)**2
C
*     FUNCTION X3_t
      mCAT= 0.739329098859732
      CA0 = 0.258137063098713
      CB0 = 0.245077974415735
      CC0 = 0
      CD0 = 0
      CA = CA0 - 2*X3
      CB = CB0 - X3
      CC = CC0 + X3
      CD = CD0 + X3
      X3_t = mCAT*k1*CA**2*CB*(1 - k2*CC*CD/(CA**2*CB))
     /      /(1 + k3*CA + k4*CB + k5*CC + k6*CD + k7*CA*CB)**2
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION X1_0
      X1_0 = 0
C
*     FUNCTION X2_0
      X2_0 = 0
C
*     FUNCTION X3_0
      X3_0 = 0
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION X1_fit
      X1_fit = X1
C
*     FUNCTION X2_fit
      X2_fit = X2
C
*     FUNCTION X3_fit
      X3_fit = X3
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION g1
C      g1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C

