C
C------------------------------------------------------
C
C     Problem:    DIFF_CON
C
C     Date:       9.8.1996
C
C------------------------------------------------------
C 
*     REAL CONSTANT
      Dif1 = 5
      v1 = 1000
C
C------------------------------------------------------
C      
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. variables identifying solution of partial
C        differential equations (u)
C     3. variables identifying first spatial derivatives of
C        solution of partial differential equations (ux)
C     4. variables identifying second spatial derivatives of
C        solution of partial differential equations (uxx)
C     5. variables identifying solution of coupled
C        ordinary differential equations (v)
C     6. spatial variable (x)
C     7. time variable (t)
C
*     VARIABLE
      Dif2, v2, u, u_x, u_xx, x, t
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     partial differential equations (order: functions in
C     first area, functions in second area, etc.):
C
*     FUNCTION u1_t
      u1_t = Dif1*u_xx - v1*u_x 
C
*     FUNCTION u2_t
      u2_t = Dif2*u_xx - v2*u_x 
C
C------------------------------------------------------
C
C   - Initial values of system of partial differential
C     equations for t=0 (order: functions in
C     first area, functions in second area, etc.):
C
C------------------------------------------------------
C
*     FUNCTION u1_0
      if (x.gt.0) then
        u1_0 = 0
      else
        u1_0 = 1
      endif    
C
*     FUNCTION u2_0
      u2_0 = 0
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     coupled ordinary differential equations:
C
C*     FUNCTION VP
C      VP = ...
C
C------------------------------------------------------
C
C   - Initial values of system of coupled ordinary
C     differential equations for t=0: 
C
C*     FUNCTION V0
C      V0 = ...
C
C------------------------------------------------------
C
C   - Boundary and transition functions first at left
C     borders of all areas, then at right borders of all 
C     areas:
C
*     FUNCTION u_l
      u_l = 1.0
C 
*     FUNCTION u_area
      u_area = u
C
*     FUNCTION u_r
      u_r = 0.0
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION u_fit1
      u_fit1 = u
C
*     FUNCTION u_fit2
      u_fit2 = u
C
*     FUNCTION u_fit3
      u_fit3 = u
C
*     FUNCTION u_fit4
      u_fit4 = u
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION G1
C      G1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
