C
C------------------------------------------------------
C
C     Problem:    IONTRAN2
C
C     Date:       18.09.2002
C
C------------------------------------------------------
C
*     REAL CONSTANT
      gamma0 = 0.006
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      S, scale, gamma, t
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION gamma_t
      gamma_t = S*gamma*(1 - gamma)
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION gamma_0
      gamma_0 = gamma0
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION gamma_fit
      gamma_fit = scale*gamma
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION g1
C      g1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
