C
C------------------------------------------------------
C
C     Problem:    KINMOD
C
C     Date:       15.08.2005
C
C------------------------------------------------------
C                 
*     REAL CONSTANT
      Ef   = 2  
      Temp = 300
      mc   = 0.1
      r    = 1
C
C------------------------------------------------------
C                       
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      Ka, Kf, Ea, x, t
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION x_t
      x_t = mc*Kf*Exp(-Ef/Temp)*x*(r - 1 + x) 
     /        - mc*Ka*Exp(-Ea/Temp)*(1-x)**2

C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION x_0
      x_0 = 1
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION x_fit
      x_fit = x
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION g1
C      g1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
