C
C------------------------------------------------------
C
C     Problem:    PESTICID
C
C     Date:       23.11.1999
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      kel, gamma, mue, kir, x, m, y, z, t
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION x_t
      x_t = -kel*x*m - kir*x
C
*     FUNCTION m_t
      m_t = gamma*kel*x*m - mue*m
C
*     FUNCTION y_t
      y_t = kir*x
C
*     FUNCTION z_t
      z_t = kel*x*m
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION x_0
      x_0 = 10
C
*     FUNCTION m_0
      m_0 = 0.004
C
*     FUNCTION y_0
      y_0 = 0
C
*     FUNCTION z_0
      z_0 = 0
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION x_fit
      x_fit = x
C
*     FUNCTION m_fit
      m_fit = m/3
C
*     FUNCTION y_fit
      y_fit = y
C
*     FUNCTION z_fit
      z_fit = z
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION g1
C      g1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C

