C
C------------------------------------------------------
C
C     Problem:  RAT_APP
C
C     Date:     07.03.94
C
C------------------------------------------------------
C
*     REAL CONSTANT
      TE = 4.
      YE = 0.1957
      T1 = 0.0625
      Y1 = 0.0246
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (x)
C     2. concentration variable, if exists (c)
C     3. time variable (t)
C
*     VARIABLE
      X1, X2, X3, X4, T 
C
C------------------------------------------------------
C
C   - Fitting criterion:
C
*     FUNCTION F
      F = X1*(T**2 + X2*T)/(T**2 + X3*T + X4)
C
C------------------------------------------------------
C
C   - Constraints:
C
*     FUNCTION G1
      G1 = X1*T1*(T1 + X2)/(T1**2 + X3*T1 + X4) - Y1
C
*     FUNCTION G2
      G2 = X1*TE*(TE + X2)/(TE**2 + X3*TE + X4) - YE     
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C



