C
C------------------------------------------------------
C
C     Problem:     RECLIG19
C
C     Date:        22.12.97
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. system variables (z)
C     3. time variable (t)
C
*     VARIABLE
      p1, p2, p3, p4, z1, z2, z3, t
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     nonlinear equations:
C
*     FUNCTION g1
      g1 = z1*(1 + p1*z2 + p2*z3) - p3
C
*     FUNCTION g2
      g2 = z2*(1 + p1*z1) - p4
C
*     FUNCTION g3
      g3 = z3*(1 + p2*z1) - t
C
C------------------------------------------------------
C
C   - Initial values for solving systems of nonlinear
C     equations:
C
*     FUNCTION z1_0
      z1_0 = p3
C
*     FUNCTION z2_0
      z2_0 = p4
C
*     FUNCTION z3_0
      z3_0 = t
C
C------------------------------------------------------
C
C   - Fitting criterion:
C
*     FUNCTION fit
      fit = p4 - z2
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C


