C
C------------------------------------------------------
C
C     Problem:     RECLIG16
C
C     Date:        05.11.1993
C
C------------------------------------------------------
C
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (x)
C     2. system variables (z)
C     3. time variable (t)
C
*     VARIABLE
      K11, K21, R1, R2, ZR1, ZR2, ZL1S, L1
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     nonlinear equations:
C
*     FUNCTION G1
      G1 = ZR1*(1 + ZL1S*K11*L1) - R1
C
*     FUNCTION G2
      G2 = ZR2*(1 + ZL1S*K21*L1) - R2
C
*     FUNCTION G3
      G3 = ZL1S*(1 + ZR1*K11 + ZR2*K21) - 1
C
C------------------------------------------------------
C
C   - Initial values for solving systems of nonlinear
C     equations:
C
*     FUNCTION Z10
      Z10 = R1
C
*     FUNCTION Z20
      Z20 = R2
C
*     FUNCTION Z30
      Z30 = 1
C
C------------------------------------------------------
C
C   - Fitting criterion:
C
*     FUNCTION FIT
      FIT = L1 - ZL1S*L1
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
