C
C------------------------------------------------------
C
C     Problem:    SE
C
C     Date:       26.05.1994
C
C------------------------------------------------------
C
*     REAL CONSTANT
      R=1.987
C
C------------------------------------------------------
C
*     VARIABLE
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (x)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      Ep, A0, M, TEMP, T
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION DM
      DM = -A0*EXP(-Ep/(R*TEMP))*M
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION M0
      M0=1.0
C
C------------------------------------------------------
C
C   - Fitting criterion:
C
*     FUNCTION FIT
      FIT=M
C
*     FUNCTION FIT2
      FIT2=2*M
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION G1
C      G1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C

