C
C------------------------------------------------------
C
C     Problem:    TP70
C
C     Date:       30.11.2001
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. concentration variable, if exists (c)
C     3. time variable (t)
C
*     VARIABLE
      X1, X2, X3, X4, T
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION F
      B   = X3 + (1 - X3)*X4   
      H1  = X1 - 1      
      H2  = X2 - 1      
      H3  = 1/7.658   
      H5  = B*H3   
      H4  = H5/X4
      H6  = 12*X1/(12*X1 + 1)   
      H7  = 12*X2/(12*X2 + 1)   
      H30 = 0  
      H40 = 0  
      V10 = X2/6.2832 
      V11 = B/X4
      V12 = X1/6.2832 
      Z1  = X3*B**X2   
      Z2  = V10**0.5     
      Z5  = 1 - X3      
      Z6  = V11**X1      
      Z7  = V12**0.5     
      F   = Z1*Z2*(T*H3)**H2*EXP(X2*(1 - T*H5))*H7 
     /      + Z5*Z6*Z7*(T*H3)**H1*EXP(X1*(1 - T*H4))*H6 
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
*     FUNCTION G
      G = X3 + (1 - X3)*X4
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
